Page MenuHome

Drawing in 3D viewport changes object colors
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: GeForce GTX 660 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 442.19

Blender Version
Broken: version: 2.83 (sub 8), branch: master, commit date: 2020-03-14 00:31, hash: rBacab7450784a
Worked: version: 2.83 (sub 8), branch: master, commit date: 2020-03-10 19:12, hash: f9cca128869f, type: Release
build date: 2020-03-11, 07:08:52

Short description of error
Some "modal" drawing in viewport causes artifacts on object colors. This seems to happen when redrawing gizmos or drawing annotation.
Operator like box select does not cause this issue

Exact steps for others to reproduce the error

  1. New General template
  2. set cube to smooth shading (only to make this effect more prominent)
  3. start drawing annotation

Event Timeline

Richard Antalik (ISS) renamed this task from Face sets/mask color become darker/more saturated when some overlays active to Drawing in 3D viewport changes object colors .Mar 17 2020, 4:48 PM
Richard Antalik (ISS) changed the task status from Needs Triage to Confirmed.
Richard Antalik (ISS) updated the task description. (Show Details)
Richard Antalik (ISS) updated the task description. (Show Details)

@Jeroen Bakker (jbakker) seems like the TAA accumulation continues and it gets out of precision.

I've seen more related issues. Will have a look

Hi @Jeroen Bakker (jbakker) , the following report T74817 was closed as duplicated of this one that you just fixed, but apparently the issue was not resolved?

Also related T74980

Jeroen Bakker (jbakker) reopened this task as Confirmed.Mar 24 2020, 2:05 PM